bug#34413: 27.0.50; package-quickstart feature breaks SLIME/SLY

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

bug#34413: 27.0.50; package-quickstart feature breaks SLIME/SLY

Davor Rotim-2
When enabling the new package-quickstart feature SLIME or SLY fail to load with the following message:

Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "sly")
  #<subr autoload-do-load>((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly nil)
  apply(#<subr autoload-do-load> ((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly))
  autoload-do-load((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly)
  command-execute(sly)

Disabling this feature allows SLIME or SLY to start normally again.
Tested on GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5) of 2019-02-10



Reply | Threaded
Open this post in threaded view
|

bug#34413: 27.0.50; package-quickstart feature breaks SLIME/SLY

Stefan Monnier
> When enabling the new package-quickstart feature SLIME or SLY fail to load
> with the following message:
>
> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "sly")
>   #<subr autoload-do-load>((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly nil)
>   apply(#<subr autoload-do-load> ((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly))
>   autoload-do-load((autoload "sly" "Start a Lisp implementation and connect to it.\n\n  ..." t nil) sly)
>   command-execute(sly)

So, IIUC the startup doesn't signal an error (hence appears to proceed
correctly) and the problem only appears when you later do `M-x sly` (or
equivalent)?

The above error suggests that the underlying problem may be that the
quickstart file failed to add the relevant directory to `load-path`.

I'll take a look at it.
In case it's relevant, could you say where you got those packages from?


        Stefan



Reply | Threaded
Open this post in threaded view
|

bug#34413: 27.0.50; package-quickstart feature breaks SLIME/SLY

Davor Rotim-2
Correct, no errors at startup only when starting with `M-x sly`. Both
packages were installed from MELPA:

(add-to-list 'package-archives
             '("melpa" . "https://melpa.org/packages/"))



Reply | Threaded
Open this post in threaded view
|

bug#34413: Status: 27.0.50; package-quickstart feature breaks SLIME/SLY

Davor Rotim-2
In reply to this post by Davor Rotim-2